de.dhbwstuttgart.syntaxtree.misc

## Class Status

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.misc.Status

- Direct Known Subclasses:
    UserDef

      public abstract class Status
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected UserDef` | `userdef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Status()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `set_UserDef(UserDef userdef)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userdef

          protected UserDef userdef

  - ### Constructor Detail

    - #### Status

          public Status()

  - ### Method Detail

    - #### set_UserDef

          public void set_UserDef(UserDef userdef)